@ECHO OFF
DEL _diff.txt 2>NUL
FOR %%I IN (*_ja.sql) DO CALL :HOGE %%I ..
FOR %%I IN (npcstring.txt sysstring.txt systemmsg.txt) DO CALL :HOGE %%I ..\..\..\..\data\lang\ja
FOR %%I IN (servername.xml instancenames.xml) DO CALL :HOGE %%I ..\..\..\..\data
GOTO :EOF

:HOGE
SET NAME=%1
SET EF=%2
ECHO ;==============================================================================>>_diff.txt
ECHO ;^< %EF%\%NAME%>>_diff.txt
ECHO ;^> %NAME%>>_diff.txt
ECHO ;==============================================================================>>_diff.txt
ECHO ON
diff %EF%\%NAME% %NAME% >>_diff.txt
@ECHO OFF
EXIT /B
